RIO_ALLOC_NET(9)

NAME
rio_alloc_net - Allocate and configure a new RIO network

SYNOPSIS

struct rio_net __devinit * rio_alloc_net (struct rio_mport * port);

ARGUMENTS

port
    Master port associated with the RIO network

DESCRIPTION

Allocates a RIO network structure, initializes per-network list heads, and adds the associated master port to the network list of associated master ports. Returns a RIO network pointer on success or NULL on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.